# Bank accounts: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/bank-accounts/

Bimp API methods for the “Bank accounts” resource (`/org2/bankAccounts/…`): 3 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/bankAccounts/api-readTypes`](#api-read-types) | A request to obtain detailed information about bank account types |
| [`POST /org2/bankAccounts/api-read`](#api-read) | A request to obtain detailed information for a particular bank account |
| [`POST /org2/bankAccounts/api-readList`](#api-read-list) | A request to view a list of bank accounts |

## api-readTypes

`POST /org2/bankAccounts/api-readTypes`

A request to obtain detailed information about bank account types

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].name` | string |  |
| `[].uuid` | string (uuid) |  |
| `[].code` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-readTypes' \
  -H 'access-token: <company token>'
```

## api-read

`POST /org2/bankAccounts/api-read`

A request to obtain detailed information for a particular bank account

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the bank account |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for the bank account |
| `name` | string |  |
| `comment` | string |  |
| `bank` | string |  |
| `iban` | string |  |
| `card` | string |  |
| `main` | boolean |  |
| `currency` | string (uuid) |  |
| `organization` | string (uuid) |  |
| `accounting` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-readList

`POST /org2/bankAccounts/api-readList`

A request to view a list of bank accounts

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].uuid` | string (uuid) | A unique uuid key for the bank account |
| `[].name` | string |  |
| `[].comment` | string |  |
| `[].bank` | string |  |
| `[].iban` | string |  |
| `[].card` | string |  |
| `[].main` | boolean |  |
| `[].currency` | string (uuid) |  |
| `[].organization` | string (uuid) |  |
| `[].accounting` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
